QGIS Application - Bug report #14081
Processing>QGIS>Vectoroverlay tools>Clip
2016-01-10 06:00 AM - Lene Fischer

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.12.2 Regression?: No

Operating System: Windows 64 bit Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 22091
Description

In Processing>QGIS>Vectoroverlay tools>Clip function | get no result.
If | use the function in the Vector-menu it work OK. If | use previous version (2.8.3) it works too.

The function Union gives a log message:
_Algorithm Union starting...

global name 'QGis' is not defined See log for more details_

| have added a video and data.

Regards
Lene Fischer

History

#1 - 2016-01-10 06:06 AM - Lene Fischer
- File data.zip added

#2 - 2016-01-10 10:10 AM - Lene Fischer

Hi again.

Now | have installed 2.12.2 on a virtual computer. And no problems there. So it must be something from my upgrade from 2.12.0. Can’t figure out what.

And a bit worried, because | have 2 workshops in this week with people who has done the same.

Regards

Lene

#3 - 2016-01-10 02:28 PM - Victor Olaya

Lene

Can you get the log info and paste it here?

Just reproduce the error and then go to the QGIS log, and copy what you will see int he Processing tab

That should help us to find the cause of this problem

Thanks!
#4 - 2016-01-12 02:30 PM - Giovanni Manghi

- Status changed from Open to Feedback

Hi,this is what | see:

qgis 2.8.5, works

qgis 2.12.2, error
GEQOS geoprocessing error: One or more input features have invalid geometry.

qgis master works

qgis 2.12.2 with updated processing, works

#5 - 2016-01-13 05:34 AM - Victor Olaya

Then, it seems that the issue is fixed in master, so we can close this, right?

Might be one of the issues caused by changes in the geometry handling in core, but seems to be solved, i guess

#6 - 2016-01-19 08:58 AM - Alexander Bruy

- Status changed from Feedback to Closed
- Resolution set to fixed/implemented

Works fine in master for me too. Reopen if necessary

#7 - 2016-01-31 03:05 PM - Jordan Brod

Just had this problem myself, | haven't updated the processing plugin since it killed GRASS last time | did it, but on Line 28 of the Union python file it's

missing the import of the QGiis class | believe. | added it to that line and the algorithm worked fine after. I'm sure it was fixed in the updated processing but

for those not wanting to update they can find that file and add that class.

Files

data.zip 64.3 KB 2016-01-10 Lene Fischer
